<?php
/**************************************************************************
 * $Id: StudIPortResponseTools.lib.php 4278 2010-08-26 08:55:11Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


require_once('vendor/flexi/flexi.php');

/**
 * get request list of provided question
 * @param
 * @return request list as associative array
 */
function responseGetList($question_id, $user_id) {
	require_once('lib/StudIPortResponseList.class.php');
	// load data
	$responses = new StudIPortResponseList(new StudIPUser($user_id), $question_id);
	$responses->loadData();

	// prepare and create output
        $factory = new Flexi_TemplateFactory($GLOBALS['STUDIPORT_BASEDIR'] ."/templates");
	return $responses->render($factory, "StudIPortResponseList.part.php", $GLOBALS['STUDIPORT_URI']);
}

?>
